import { h } from 'vue';
import { ElTag } from 'element-plus';

export const columns = [
  {
    type: 'selection',
  },
  {
    label: 'ID',
    prop: 'id'
  },
  {
    label: '模板名称',
    prop: 'title',
  },
  {
    label: '模板编码',
    prop: 'code',
  },
  {
    label: '消息类型',
    prop: 'type',
    render(record) {
      let typeText = ''
      switch (record.row.type) {
        case 1:
          typeText='系统通知'
          break;
        case 2:
          typeText='用户私信'
          break;
        case 3:
          typeText='代办事项'
          break;
        default:
          break;
      }
      return h('span', typeText || '-');
    },
  },
  {
    label: '创建人',
    prop: 'createUser',
  },
  {
    label: '创建时间',
    prop: 'createTime',
  },
];
